- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Policy_Current Class Reference

`#include <Policy_Current.h>`

Inheritance diagram for TAO_Policy_Current:

[legend]
Collaboration diagram for TAO_Policy_Current:

[legend]
List of all members.

## Public Member Functions
| TAO_Policy_Current (void)
| Constructor.
CORBA::Policy_ptr | get_policy (CORBA::PolicyType policy)
| Obtain a single policy.
CORBA::Policy_ptr | get_cached_policy (TAO_Cached_Policy_Type type)
| Obtain a single cached policy.
virtual CORBA::PolicyList * | get_policy_overrides (const CORBA::PolicyTypeSeq &ts) throw (CORBA::SystemException)
virtual void | set_policy_overrides (const CORBA::PolicyList &policies, CORBA::SetOverrideType set_add) throw (CORBA::SystemException, CORBA::InvalidPolicies)
TAO_Policy_Current_Impl & | implementation (void) const
TAO_Policy_Current_Impl & | implementation (TAO_Policy_Current_Impl &)

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE TAO_Policy_Current::TAO_Policy_Current | ( | void |  | ) |

Constructor.

## Member Function Documentation

CORBA::Policy_ptr TAO_Policy_Current::get_cached_policy | ( | TAO_Cached_Policy_Type | type | ) |

Obtain a single cached policy.

CORBA::Policy_ptr TAO_Policy_Current::get_policy | ( | CORBA::PolicyType | policy | ) |

Obtain a single policy.

CORBA::PolicyList * TAO_Policy_Current::get_policy_overrides | ( | const CORBA::PolicyTypeSeq & | ts | ) | throw (CORBA::SystemException)`[virtual]`

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_Policy_Current_Impl & TAO_Policy_Current::implementation | ( | TAO_Policy_Current_Impl & |  | ) |

TAO_Policy_Current_Impl & TAO_Policy_Current::implementation | ( | void |  | ) | const

void TAO_Policy_Current::set_policy_overrides | ( | const CORBA::PolicyList & | policies,
|  | CORBA::SetOverrideType | set_add |
| ) |  |  | throw (CORBA::SystemException, CORBA::InvalidPolicies)`[virtual]`

The documentation for this class was generated from the following files:

- Policy_Current.h
- Policy_Current.cpp
- Policy_Current.inl